<template>
  <div class="grid gap-4 lg:gap-6 grid-cols-1 md:grid-cols-2 xl:grid-cols-3">
    <Container
      v-for="n in 5"
      :key="n"
      class="border-b-4 border-gray-300"
    >
      <section class="flex items-center flex-auto h-10">
        <v-skeleton-loader
          height="32"
          width="32"
        />

        <v-skeleton-loader
          class="ml-2 flex-auto"
          height="28"
        />
      </section>

      <v-divider class="border-gray-800 my-4" />

      <v-skeleton-loader
        class="rounded-full"
        width="55%"
        height="28"
      />

      <v-skeleton-loader
        class="mt-4"
        width="35%"
        height="28"
      />
    </Container>
  </div>
</template>

<script setup lang="ts">
import Container from '@/components/layout/Container.vue';
</script>